%define libxml2_version 2.4.20
%define gtk2_version 2.11.3
%define glib2_version 2.13.0
%define libgnomeui_version 2.2.0
%define libgnomecanvas_version 2.0.0
%define startup_notification_version 0.5
%define gnome_doc_utils_version 0.3.2
%define gtk_doc_version 1.9

%define po_package gnome-desktop-2.0

Summary: Package containing code shared among gnome-panel, gnome-session, nautilus, etc
Name: gnome-desktop
Version: 2.22.1
Release: 4%{?dist}
URL: http://www.gnome.org
Source0: http://download.gnome.org/sources/gnome-desktop/2.22/%{name}-%{version}.tar.bz2
License: GPLv2+ and LGPLv2+
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

Patch1:   gnome-desktop-2.1.90-kdetheme.patch
Patch2:   add-randr-12.patch
Patch4:   multires.patch
Patch5:   gnome-desktop-2.22.0-mistranslation.patch

Patch7:   refcount-slideshow.patch

Requires: redhat-menus

Obsoletes: gnome-core gnome-core-devel
Provides: gnome-core

BuildRequires: autoconf automake libtool
BuildRequires: intltool, autoconf, automake
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnomecanvas-devel >= %{libgnomecanvas_version}
BuildRequires: startup-notification-devel >= %{startup_notification_version}
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: scrollkeeper 
BuildRequires: gettext
BuildRequires: perl(XML::Parser)
BuildRequires: gtk-doc >= %{gtk_doc_version}

%description

The gnome-desktop package contains an internal library
(libgnomedesktop) used to implement some portions of the GNOME
desktop, and also some data files and other shared components of the
GNOME user environment.

%package devel
Summary: Libraries and headers for libgnome-desktop
License: LGPLv2+
Group: Development/Libraries
Requires: %name = %{version}-%{release}

Requires: libxml2-devel >= %{libxml2_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: glib2-devel >= %{glib2_version}
Requires: libgnomeui-devel >= %{libgnomeui_version}
Requires: libgnomecanvas-devel >= %{libgnomecanvas_version}
Requires: startup-notification-devel >= %{startup_notification_version}
Requires: gnome-doc-utils >= %{gnome_doc_utils_version}
Requires: pkgconfig
Requires: gtk-doc >= %{gtk_doc_version}

%description devel
Libraries and header files for the GNOME-internal private library 
libgnomedesktop.

%prep
%setup -q

%patch1 -p1 -b .kdetheme
%patch2 -p1 -b .add-randr-12
%patch4 -p1 -b .multires
%patch5 -p1 -b .mistranslation
%patch7 -p1 -b .refcount-slideshow

%build
autoreconf
%configure --with-gnome-distributor="Red Hat, Inc" --disable-scrollkeeper
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# stuff we don't want
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%find_lang %{po_package} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB NEWS README
%{_datadir}/applications/gnome-about.desktop
%{_datadir}/gnome-about
%{_datadir}/pixmaps/*
%{_datadir}/omf/*
%doc %{_mandir}/man*/*
# GPL
%{_bindir}/gnome-about
# LGPL
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%doc %{_datadir}/gtk-doc/html/gnome-desktop/

%changelog
* Fri Apr 25 2008 Soren Sandmann <sandmann@redhat.com> - 2.22.1-4
- Fix signed/unsigned mixup, bug 443903

* Fri Apr 25 2008 Soren Sandmann <sandmann@redhat.com> - 2.22.1-3
- Integrate a number of fixes from other distributions

* Tue Apr 8 2008 Soren Sandmann <sandmann@redhat.com> - 2.22.1-2
- Fix bug where the dpi of the screen got miscalculated

* Mon Apr 7 2008 Matthias Clasen <mclasen@redhat.com> - 2.22.1-1
- Update to 2.22.1

* Tue Apr 5 2008 Soren Sandmann <sandmann@redhat.com> - 2.22.0-6
- Update randr code

* Fri Apr  4 2008 Matthias Clasen <mclasen@redhat.com> - 2.22.0-5
- Fix some logic errors wrt to caching of slideshows that
  may cause nautilus crashes

* Sat Mar 29 2008 Matthias Clasen <mclasen@redhat.com> - 2.22.0-4
- Handle slideshow start times in the future correctly

* Wed Mar 26 2008 Matthias Clasen <mclasen@redhat.com> - 2.22.0-3
- Fix mistranslations that cause gnome-about to crash 
  in some locales (el, mk)

* Tue Mar 20 2008 Soren Sandmann <sandmann@redhat.com> - 2.22.0-2
- Update randr code

* Mon Mar 10 2008 Matthias Clasen <mclasen@redhat.com> - 2.22.0-1
- Update to 2.22.0

* Sun Mar  2 2008 Soren Sandmann <sandmann@redhat.com> - 2.21.92-3
- Update randr code with more display manufacturers.

* Tue Feb 26 2008 Matthias Clasen <mclasen@redhat.com> - 2.21.92-2
- Fix a bug in the multires patch

* Tue Feb 26 2008 Matthias Clasen <mclasen@redhat.com> - 2.21.92-1
- Update to 2.21.92

* Sun Feb 24 2008 Matthias Clasen <mclasen@redhat.com> - 2.21.91-8
- Support multi-resolution backgrounds

* Wed Feb 20 2008 Soren Sandmann <sandmann@redhat.com> - 2.21.91-7
* Update randr code

* Tue Feb 19 2008 Matthias Clasen <mclasen@redhat.com> - 2.21.91-6
- Fix a possible crash in the background code

* Fri Feb 15 2008 Soren Sandmann <sandmann@redhat.com> - 2.21.91-5
* Update randr code

* Wed Feb 13 2008 Soren Sandmann <sandmann@redhat.com> - 2.21.91-4
- Update randrwrap

* Wed Feb 13 2008 Ray Strode <rstrode@redhat.com> - 2.21.91-3
- Get rid of gnome-vfs BuildRequires

* Tue Feb 12 2008 Soren Sandmann <sandmann@redhat.com> - 2.21.91-2
- Add monitor-db.[ch]

* Tue Feb 12 2008 Soren Sandmann <sandmann@redhat.com> 
- Update randrwrap

* Tue Feb 12 2008 Matthias Clasen <mclasen@redhat.com> - 2.21.91-1
- Update to 2.21.91

* Mon Feb 4 2008 Soren Sandmann <sandmann@redhat.com> - 2.21.90-5
- Update randrwrap - add rotations.

* Thu Jan 29 2008 Soren Sandmann <sandmann@redhat.com> - 2.21.90-3
- Update randrwrap.

* Thu Jan 29 2008 Soren Sandmann <sandmann@redhat.com> - 2.21.90-3
- Update randrwrap.

* Tue Jan 29 2008 Soren Sandmann <sandmann@redhat.com> - 2.21.5-2
- uncomment stuff from gnome-common in configure.in

* Tue Jan 29 2008 Soren Sandmann <sandmann@redhat.com> - 2.21.5-2
- Don't buildrequire gtk-doc
- Install randrwrap.h

* Tue Jan 29 2008 Soren Sandmann <sandmann@redhat.com> - 2.21.5-2
- Add randrwrap.[ch]

* Tue Jan 29 2008 Soren Sandmann <sandmann@redhat.com> - 2.21.5-2
- BuildRequire gtk-doc >= 1.9

* Mon Jan 14 2008 Matthias Clasen <mclasen@redhat.com> - 2.21.5-1
- Update to 2.21.5

* Tue Dec 18 2007 Matthias Clasen <mclasen@redhat.com> - 2.21.4-1
- Update to 2.21.4

* Tue Nov 13 2007 Matthias Clasen <mclasen@redhat.com> - 2.21.2-1
- Update to 2.21.2

* Mon Oct 15 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.1-1
- Update to 2.20.1 (bug fixes and translation updates)

* Thu Sep 27 2007 Ray Strode <rstrode@redhat.com> - 2.20.0-3
- remove seemingly unneccessary dep on redhat-artwork

* Wed Sep 26 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.0-2
- Fix a memory leak

* Mon Sep 17 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.0-1
- Update to 2.20.0

* Tue Sep  4 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.92-1
- Update to 2.19.92 (translation updates)

* Fri Aug 31 2007 Soren Sandmann <sandmann@redhat.com> - 2.19.90-7
- Plug a leak in the slideshow parser

* Wed Aug 29 2007 Soren Sandmann <sandmann@redhat.com> - 2.19.90-6
- Delete cache on URI switch. Various cleanups.

* Wed Aug 29 2007 Soren Sandmann <sandmann@redhat.com> - 2.19.90-5
- Fix unbounded caching. Bug 247943.

* Tue Aug 28 2007 Soren Sandmann <sandmann@redhat.com> - 2.19.90-4
- Change starttime format to be timezone relative.

* Fri Aug 17 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.90-3
- Try harder to get size information

* Fri Aug 17 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.90-2
- Fix a problem with transitions in thumbnails of slideshows

* Mon Aug 13 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.90-1
- Update to 2.19.90

* Tue Aug  7 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.6-3
- Use %%find_lang for help files

* Fri Aug  3 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.6-2
- Update license field

* Mon Jul 30 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.6-1
- Update to 2.19.6

* Sun Jul  8 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.5-1
- Update to 2.19.5

* Sun Jun 17 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.4-1
- Update to 2.19.4

* Mon Jun  4 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.3.1-1
- Update to 2.19.3.1

* Mon Jun  4 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.3-1
- Update to 2.19.3

* Sat May 19 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.2-1
- Update to 2.19.2

* Fri Mar 23 2007 Soren Sandmann <sandmann@redhat.com> - 2.18.0-4
- Remove debug spew - add file caching - delete totally_obscures function.

* Tue Mar 20 2007 Soren Sandmann <sandmann@redhat.com> - 2.18.0-3
- Fix a bug where only parts of the background pixmap would be drawn.

* Mon Mar 19 2007 Soren Sandmann <sandmann@redhat.com> - 2.18.0-2
- Add GnomeBG class.

* Tue Mar 13 2007 Matthias Clasen <mclasen@redhat.com> - 2.18.0-1
- Update to 2.18.0

* Tue Feb 27 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.92-1
- Update to 2.17.92

* Tue Feb 13 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.91-1
- Update to 2.17.91

* Sun Jan 21 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.90-1
- Update to 2.17.90
- Drop some long-obsolete images
- Clean up BuildRequires

* Wed Jan 10 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.5-1
- Update to 2.17.5

* Tue Nov  7 2006 Matthias Clasen <mclasen@redhat.com> - 2.17.2-1
- Update to 2.17.2

* Sat Oct 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.1-1
- Update to 2.16.1

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1.fc6
- Update to 2.16.0

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.92-1.fc6
- Update to 2.15.92
- Require pkgconfig in the -devel package

* Sun Aug 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.91-1.fc6
- Update to 2.15.91

* Thu Aug  3 2006 Matthias Clasen <mclasen@redhat.com> - 2.15-90-1.fc6
- Update to 2.15.90
- Don't ship static libraries

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4-1
- Update to 2.15.4

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.15.2-1.1
- rebuild

* Tue May 17 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.2-1
- Update to 2.15.2

* Tue May  9 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.1-1
- Update to 2.15.1

* Mon Apr 11 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1.1-2
- Update to 2.14.1.1

* Mon Apr 10 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1-2
- Update to 2.14.1

* Tue Mar 14 2006 Ray Strode <rstrode@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 2.13.92-2
- BuildRequires: gnome-doc-utils

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.92-1
- Update to 2.13.92

* Mon Feb 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.91-1
- Update to 2.13.91

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.90-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.90-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.90-1
- Update to 2.13.90

* Tue Jan 16 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.5-1
- Update to 2.13.5

* Tue Jan 03 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.4-1
- Update to 2.13.4

* Wed Dec 14 2005 Matthias Clasen <mclasen@redhat.com> - 2.13.3-1
- Update to 2.13.3

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com> - 2.13.2-1
- Update to 2.13.2

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.1-1
- Update to 2.12.1

* Thu Sep  8 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-1
- Update to 2.12.0

* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> - 2.11.90-2
- rebuild for new cairo

* Fri Aug  5 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.90-1
- Update to 2.11.90

* Sat Jul  9 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.4-1
- Update to 2.11.4

* Mon May 23 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-5
- Let's try this gettext patch one more time--maybe, just
  maybe, I'll get it right this time (bug 155659).

* Wed May 16 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-4
- run gettext initialization routines on startup (bug 155659)
  (use right patch).

* Thu May  5 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-3
- Revert previous patch--it was wrong(bug 155659).

* Wed May  4 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-2
- run gettext initialization routines on startup (bug 155659).

* Thu Mar 17 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-1
- Update to upstream version 2.10.0

* Wed Mar  2 2005 Mark McLoughlin <markmc@redhat.com> 2.9.91-3
- Rebuild with gcc4

* Mon Feb 21 2005 Than Ngo <than@redhat.com> 2.9.91-2
- gnome-about only in GNOME-menu

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> 2.9.91-1
- Update to 2.9.91

* Fri Feb  4 2005 Matthias Clasen <mclasen@redhat.com> 2.9.90.1-1
- Update to 2.9.90.1

* Tue Oct 12 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-3
- Add tamil translation

* Wed Sep 29 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-2
- Add some new icons from upstream

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-1
- Update to 2.8.0

* Mon Aug 30 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-1
- Update to 2.7.92

* Wed Aug 18 2004 Mark McLoughlin <markmc@redhat.com> 2.7.91-1
- Update to 2.7.91

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-1
- Update to 2.7.90

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Apr 17 2004 Warren Togami <wtogami@redhat.com> 2.6.0.1-2
- #111123 BR scrollkeeper gettext, some minor cleanups

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0.1-1
- Update to 2.6.0.1

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 2.5.91-1
- Update to 2.5.91

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Mark McLoughlin <markmc@redhat.com> 2.5.90-1
- Update to 2.5.90
- Remove hack to get rid of GNOME_COMPILE_WARNINGS and
  use --disable-compile-warnings instead.
- Package the (L)GPL/FDL and gnome-feedback docs

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Alexander Larsson <alexl@redhat.com> 2.5.3-1
- Update to 2.5.3

* Wed Sep 10 2003 Jonathan Blandford <jrb@redhat.com> 2.4.0-1
- 2.4.0

* Wed Aug 27 2003 Alexander Larsson <alexl@redhat.com> 2.3.7-1
- update to 2.3.7

* Thu Aug 14 2003 Alexander Larsson <alexl@redhat.com> 2.3.6.1-1
- update to gnome 2.3

* Mon Jul 28 2003 Havoc Pennington <hp@redhat.com> 2.2.2-2
- libtoolize
- rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 2.2.2-1
- 2.2.2
- remove now-upstream patch

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 17 2003 Havoc Pennington <hp@redhat.com> 2.2.0.1-4
- fix mem corruption #84361

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 2.2.0.1-3
- nuke Xft buildreq

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 2.2.0.1-2
- require startup-notification 0.5, just for paranoia

* Wed Feb  5 2003 Alexander Larsson <alexl@redhat.com>
- 2.2.0.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Jonathan Blandford <jrb@redhat.com>
- require startup-notification

* Tue Jan 14 2003 Alexander Larsson <alexl@redhat.com> 2.1.90-2
- Change the fallback kde theme name from hicolor to crystalsvg.

* Thu Jan  9 2003 Havoc Pennington <hp@redhat.com> 2.1.90-1
- 2.1.90

* Sat Dec 14 2002 Havoc Pennington <hp@redhat.com>
- 2.1.4

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- add gconftool-2 prereq

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- remove bad post (we no longer include a schemas file)

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- 2.1.3

* Wed Nov 13 2002 Havoc Pennington <hp@redhat.com>
- 2.1.2

* Wed Sep  4 2002 Havoc Pennington <hp@redhat.com>
- support a magic flag in icon theme to avoid using 
  prescaled icons

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- put in a schema so we default the the right icon theme
- fill in gnome-version.xml stuff #71445

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.6 final for gnome 2.0.1

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 2.0.5

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.0.3.90 cvs snap, should fix failure to launch symlink desktop
  files

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.0.2, fix missing po files

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- also obsolete gnome-core-devel
- require redhat-artwork and redhat-menus
- build require Xft/fontconfig

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- add post/postun ldconfig

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.5.22

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- 1.5.21

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- build requires libgnome

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.5.20
- provides gnome-core

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.5.18

* Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
- Initial build.
